# Constant Field Values

## com.meterware.*

com.meterware.httpunit.FormControl
Modifier and Type
Constant Field
Value
`public static final String`
`BUTTON_TYPE`
`"button"`
`public static final String`
`CHECKBOX_TYPE`
`"checkbox"`
`public static final String`
`FILE_TYPE`
`"file"`
`public static final String`
`HIDDEN_TYPE`
`"hidden"`
`public static final String`
`IMAGE_BUTTON_TYPE`
`"image"`
`public static final String`
`MULTIPLE_TYPE`
`"select-multiple"`
`public static final String`
`PASSWORD_TYPE`
`"password"`
`public static final String`
`RADIO_BUTTON_TYPE`
`"radio"`
`public static final String`
`RESET_BUTTON_TYPE`
`"reset"`
`public static final String`
`SINGLE_TYPE`
`"select-one"`
`public static final String`
`SUBMIT_BUTTON_TYPE`
`"submit"`
`public static final String`
`TEXT_TYPE`
`"text"`
`public static final String`
`TEXTAREA_TYPE`
`"textarea"`
`public static final String`
`UNDEFINED_TYPE`
`"undefined"`
com.meterware.httpunit.HttpsProtocolSupport
Modifier and Type
Constant Field
Value
`public static final String`
`IBMJSSE_PROVIDER_CLASS`
`"com.ibm.jsse.IBMJSSEProvider"`
`public static final String`
`IBMSSL_PROTOCOL_HANDLER`
`"com.ibm.net.ssl.www.protocol"`
`public static final String`
`SunJSSE_PROVIDER_CLASS`
`"com.sun.net.ssl.internal.ssl.Provider"`
`public static final String`
`SunJSSE_PROVIDER_CLASS2`
`"sun.net.www.protocol.https"`
`public static final String`
`SunSSL_PROTOCOL_HANDLER`
`"com.sun.net.ssl.internal.www.protocol"`
com.meterware.httpunit.HttpUnitOptions
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SCRIPT_ENGINE_FACTORY`
`"com.meterware.httpunit.javascript.JavaScriptEngineFactory"`
`public static final String`
`ORIGINAL_SCRIPTING_ENGINE_FACTORY`
`"com.meterware.httpunit.javascript.JavaScriptEngineFactory"`
com.meterware.httpunit.HttpUnitUtils
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CHARACTER_SET`
`"iso-8859-1"`
`public static final int`
`DEFAULT_TEXT_BUFFER_SIZE`
`2048`
com.meterware.httpunit.WebList
Modifier and Type
Constant Field
Value
`public static final int`
`BULLET_LIST`
`2`
`public static final int`
`ORDERED_LIST`
`1`

com.meterware.httpunit.cookies.CookieListener
Modifier and Type
Constant Field
Value
`public static final int`
`ACCEPTED`
`0`
`public static final int`
`DOMAIN_NOT_SOURCE_SUFFIX`
`3`
`public static final int`
`DOMAIN_ONE_DOT`
`2`
`public static final int`
`DOMAIN_TOO_MANY_LEVELS`
`4`
`public static final int`
`PATH_NOT_PREFIX`
`5`

com.meterware.pseudoserver.PseudoServlet
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENTS`
`"contents"`

com.meterware.servletunit.ServletUnitServletContext
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SERVER_INFO`
`"ServletUnit test framework"`